/***************************************************************************
                          callbacks.h  -  description
                             -------------------
    begin                : Sun May 19 2002
    copyright            : (C) 2002 by Krishna Jaidev and N Deepak
    email                : jaidev@symonds.net | deepak@phreaker.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <gnome.h>
#include <globals.h>

void
on_new_file_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_open_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_save1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_save_as1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_print1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_close1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_exit_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);


void
on_undo1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_redo1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_select_all1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_cut1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_copy1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_paste1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_find1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_replace1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_properties1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);


void
on_line1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_line_break_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_paragraph_break_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_hyperlink1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_image1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_html_insert_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);


void on_font_fixed_width_activate (GtkWidget *was_clicked, gpointer user_data);
void on_font_variable_width_activate (GtkWidget *was_clicked, gpointer user_data);

void on_font_size_2_activate (GtkWidget *was_clicked, gpointer user_data);
void on_font_size_1_activate (GtkWidget *was_clicked, gpointer user_data);
void on_font_size0_activate (GtkWidget *was_clicked, gpointer user_data);
void on_font_size1_activate (GtkWidget *was_clicked, gpointer user_data);
void on_font_size2_activate (GtkWidget *was_clicked, gpointer user_data);
void on_font_size3_activate (GtkWidget *was_clicked, gpointer user_data);
void on_font_size4_activate (GtkWidget *was_clicked, gpointer user_data);

void
on_bold1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_italic1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_underline1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_strikeout1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_colour1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_normal1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_heading_1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_heading_2_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_heading_3_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_heading_4_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_heading_5_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_heading_6_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);


void on_para_normal_activate (GtkWidget *was_clicked, gpointer user_data);
void on_para_address_activate (GtkWidget *was_clicked, gpointer user_data);
void on_para_formatted_activate (GtkWidget *was_clicked, gpointer user_data);


void
on_bulletted1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_numbered1_activate                  (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void on_alphabets1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void on_roman1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);


void
on_left1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_centre1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_right1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void on_increase_indent_activate  (GtkWidget *was_clicked, gpointer user_data);
void on_decrease_indent_activate  (GtkWidget *was_clicked, gpointer user_data);

void
on_new_table1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_delete_table1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_insert_before1_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_insert_after1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_delete1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_insert_before2_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_insert_after2_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_delete2_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);


void
on_working_with_ginf1_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_source_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_edit_area_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
void
on_preview_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);


void
on_notebook1_switch_page (GtkNotebook *notebook, GtkNotebookPage *page, gint page_num, gpointer data);
void on_font_size_spinbutton_changed (GtkWidget *was_clicked, gpointer user_data);

void fs_ok_callback (GtkWidget *was_clicked, gpointer operation);
void fs_cancel_callback (GtkWidget *was_clicked);

void search_begin_clicked (GtkWidget *was_clicked, gpointer user_data);
void search_cursor_clicked (GtkWidget *was_clicked, gpointer user_data);
void search_case_sens_clicked (GtkWidget *was_clicked, gpointer user_data);
void search_regex_clicked (GtkWidget *was_clicked, gpointer user_data);
void search_fwd_clicked (GtkWidget *was_clicked, gpointer user_data);
void search_back_clicked (GtkWidget *was_clicked, gpointer user_data);
void search_find_clicked (GtkWidget *was_clicked, gpointer user_data);
void search_next_clicked (GtkWidget *was_clicked, gpointer user_data);
void search_prev_clicked (GtkWidget *was_clicked, gpointer user_data);
void search_close_clicked (GtkWidget *was_clicked, gpointer user_data);

void replace_dialog_cb (GtkWidget *was_clicked, gpointer user_data);
void reset_done_find (GtkWidget *was_clicked, gpointer user_data);

void on_properties_ok_activate (GtkWidget *was_clicked, gpointer user_data);
void on_properties_cancel_activate (GtkWidget *was_clicked, gpointer user_data);
void on_properties_help_activate (GtkWidget *was_clicked, gpointer user_data);
void on_dibox_browse_activate (GtkWidget *was_clicked, gpointer user_data);
void on_dibox_browse_ok_callback (GtkWidget *was_clicked, gpointer user_data);
void on_dibox_browse_cancel_callback (GtkWidget *was_clicked, gpointer user_data);
void on_meta_tags_clear_activate (GtkWidget *was_clicked, gpointer user_data);
void on_meta_tags_add_activate (GtkWidget *was_clicked, gpointer user_data);

void insert_link_cb (GtkWidget *was_clicked, gpointer user_data);
void link_opts_activate (GtkMenuItem *menuitem, gpointer user_data);

void on_image_ok_activate (GtkWidget *was_clicked, gpointer user_data);
void on_image_apply_activate (GtkWidget *was_clicked, gpointer user_data);
void on_image_cancel_activate (GtkWidget *was_clicked, gpointer user_data);
void img_border_toggle (GtkWidget *was_clicked, gpointer user_data);
void img_custsize_toggle (GtkWidget *was_clicked, gpointer user_data);

void on_html_ok (GtkWidget *was_clicked, gpointer user_data);
void on_html_apply (GtkWidget *was_clicked, gpointer user_data);
void on_html_cancel (GtkWidget *was_clicked, gpointer user_data);

void on_font_color_ok_activate (GtkWidget *was_clicked, gpointer user_data);
void on_font_color_cancel_activate (GtkWidget *was_clicked, gpointer user_data);

void on_table_ok_activate (GtkWidget *was_clicked, gpointer user_data);
void on_table_apply_activate (GtkWidget *was_clicked, gpointer user_data);
void on_table_cancel_activate (GtkWidget *was_clicked, gpointer user_data);
void table_border_toggle (GtkWidget *was_clicked, gpointer user_data);
void table_left_align_clicked (GtkWidget *was_clicked, gpointer user_data);
void table_center_align_clicked (GtkWidget *was_clicked, gpointer user_data);
void table_right_align_clicked (GtkWidget *was_clicked, gpointer user_data);
void table_width_percent_clicked (GtkWidget *was_clicked, gpointer user_data);
void table_width_pixel_clicked (GtkWidget *was_clicked, gpointer user_data);
void table_bgnd_toggle (GtkWidget *was_clicked, gpointer user_data);
void table_bgcolor_clicked (GtkWidget *was_clicked, gpointer user_data);
void table_bgimage_clicked (GtkWidget *was_clicked, gpointer user_data);
void table_bgimage_browse_clicked (GtkWidget *was_clicked, gpointer user_data);
void on_bgimage_browse_ok_activate (GtkWidget *was_clicked, gpointer user_data);
void on_bgimage_browse_cancel_activate (GtkWidget *was_clicked, gpointer user_data);

